Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.conversion.impl
Class GenericsObjectTypeDeterminer

    java.lang.Object
      com.opensymphony.xwork2.conversion.impl.DefaultObjectTypeDeterminer
          com.opensymphony.xwork2.conversion.impl.GenericsObjectTypeDeterminer

All Implemented Interfaces:
  ObjectTypeDeterminer

Deprecated. Use DefaultObjectTypeDeterminer instead. Since XWork 2.0.4 the DefaultObjectTypeDeterminer handles the annotation processing.

    @Deprecated
    public class GenericsObjectTypeDeterminer

extends DefaultObjectTypeDeterminer

GenericsObjectTypeDeterminer

Author:
  Patrick Lightbody, Rainer Hermanns, Alexandru Popescu

Field Summary

Fields inherited from class com.opensymphony.xwork2.conversion.impl.DefaultObjectTypeDeterminer
`CREATE_IF_NULL_PREFIX, DEPRECATED_ELEMENT_PREFIX, ELEMENT_PREFIX, KEY_PREFIX, KEY_PROPERTY_PREFIX, LOG`

Constructor Summary
`GenericsObjectTypeDeterminer(XWorkConverter conv, XWorkBasicConverter basicConv, ReflectionProvider prov)` Deprecated.

Method Summary

Methods inherited from class com.opensymphony.xwork2.conversion.impl.DefaultObjectTypeDeterminer
`getAnnotation, getElementClass, getKeyClass, getKeyProperty, shouldCreateIfNew`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericsObjectTypeDeterminer

    public GenericsObjectTypeDeterminer(XWorkConverter conv,
                                        XWorkBasicConverter basicConv,
                                        ReflectionProvider prov)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.